|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QColor

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QColor class reference

### Public Functions

- QColor ( int x, int y, int z, Spec colorSpec )
- void getRgba ( int * r, int * g, int * b, int * a ) const
- void hsv ( int * h, int * s, int * v ) const
- uint pixel ( int screen = -1 ) const
- void rgb ( int * r, int * g, int * b ) const
- void setRgba ( int r, int g, int b, int a )

## Member Function Documentation

### QColor::QColor ( int x, int y, int z, Spec colorSpec )

Use one of the other QColor constructors, or one of the static convenience functions, instead.

### void QColor::getRgba ( int * r, int * g, int * b, int * a ) const

Use getRgb() instead.

### void QColor::hsv ( int * h, int * s, int * v ) const

Use getHsv() instead.

See also setHsv().

### uint QColor::pixel ( int screen = -1 ) const

Returns the pixel value used by the underlying window system to refer to a color.

Use QColormap::pixel() instead.

For example, if you have code like

     QColor myColor;
     uint pixel = myColor.pixel(screen);

you can rewrite it as

     QColormap cmap = QColormap::instance(screen);
     uint pixel  = cmap.pixel(*this);

### void QColor::rgb ( int * r, int * g, int * b ) const

Use getRgb() instead.

### void QColor::setRgba ( int r, int g, int b, int a )

Use setRgb() instead.